<?php

namespace FireDrum;

if ( !defined( 'ABSPATH' ) ) {
	die();
}

?>
<div class="wrap">
	<h1<?php echo !$show_header ? ' class="screen-reader-text"' : ''; ?>><?php esc_html_e( self::$menu_branding, self::$textdomain ); ?> <?php esc_html_e( 'Setup', self::$textdomain ); ?></h1><?php
settings_errors();

if ( get_option( self::$branding . '_api_key' ) !== '' ) {
?>
	<table class="form-table">
		<tr valign="top">
			<th scope="row"><?php esc_html_e( 'API Cache Control', self::$textdomain ); ?></th>
			<td>
				<form method="POST" action="<?php echo $this->ajax_url; ?>"><?php
	wp_nonce_field( self::$branding . '_remove_transients', '_' . self::$branding . '_remove_transients_nonce' );
?>
					<input type="hidden" name="action" value="<?php echo self::$branding; ?>_remove_transients">
					<button type="submit" class="button button-secondary"><?php esc_html_e( 'Clear API Cache', self::$textdomain ); ?></button>
					<p class="description"><?php esc_html_e( 'Not seeing all of your lists / custom fields? Try clearing the API Cache!', self::$textdomain ); ?></p>
				</form>
			</td>
		</tr>
	</table><?php
}
?>
	<form method="post" action="options.php"><?php
settings_fields( self::$branding . '_setup_settings' );
do_settings_sections( self::$branding . '_setup_settings' );
submit_button( __( 'Save Settings', self::$textdomain ) );
?>
	</form>
</div>
